<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Handler_Rating extends Controller_Handler {

        public function before() {
            $this->model = new Model_Teacher_Rating;
            $this->setAccessLevel(self::ACCESS_TEACHER);
            parent::before();
        }

        public function action_setRate()
        {
            $this->post -> rule('student', 'not_empty')
                        -> rule('student', 'digit')
                        -> rule('submodule', 'not_empty')
                        -> rule('submodule', 'digit')
                        -> rule('rate', 'digit')
                        -> rule('rate', 'range', array(':value', 0, 100));
            if($this->post->check()) {
                $this->model->setRate($this->user['TeacherID'], $this->post->offsetGet('student'), $this->post->offsetGet('submodule'), $this->post->offsetGet('rate'));
                $this->response->body(json_encode('Ok, setRate!'));
            }
            else
                $this->response->body(json_encode('Error, setRate'));
        }

        public function action_changeRate()
        {
                $this->post -> rule('student', 'not_empty')
                            -> rule('student', 'digit')
                            -> rule('submodule', 'not_empty')
                            -> rule('submodule', 'digit')
                            -> rule('rate', 'digit')
                            -> rule('rate', 'range', array(':value', 0, 100));
                if($this->post->check()) {
                    $this->model->changeRate($this->user['TeacherID'], $this->post->offsetGet('student'), $this->post->offsetGet('submodule'), $this->post->offsetGet('rate'));
                    $this->response->body(json_encode('Ok, changeRate!'));
                }
                else
                    $this->response->body(json_encode('Error, changeRate'));
        }

}